org.apache.felix.ipojo.extender.internal.queue

## Class GroupThreadFactory

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.queue.GroupThreadFactory

All Implemented Interfaces:
  java.util.concurrent.ThreadFactory

    public class GroupThreadFactory
    extends java.lang.Object
    implements java.util.concurrent.ThreadFactory

A thread factory that groups produced threads inside a given `ThreadGroup`.

### Constructor Summary

Constructors
Constructor and Description
`GroupThreadFactory()`
`GroupThreadFactory(java.lang.ThreadGroup threadGroup)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Thread` `newThread(java.lang.Runnable r)` Creates a new thread.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupThreadFactory

    public GroupThreadFactory()

#### GroupThreadFactory

    public GroupThreadFactory(java.lang.ThreadGroup threadGroup)

Parameters:
  `threadGroup` - group to be used for produced threads.

### Method Detail

#### newThread

    public java.lang.Thread newThread(java.lang.Runnable r)

Creates a new thread. Prepend the prefix to the thread name

Specified by:
  `newThread` in interface `java.util.concurrent.ThreadFactory`
Parameters:
  `r` - the runnable
Returns:
  the thread object